<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Rdv · Phoenix Framework</title>
    <link rel="stylesheet" href="<%= Routes.static_path(@conn, "/css/app.css") %>"/>
  </head>
  <body>
    <header>
      <section class="container">
        <nav role="navigation">
          <ul>
            <li><a href="https://hexdocs.pm/phoenix/overview.html">Get Started</a></li>
            <li>
              <a class="btn btn-primary btn-lg" href="/auth/github">
                <i class="fa fa-github"></i>
                Sign in with GitHub
              </a>
              <a class="btn btn-primary btn-lg" href="/auth/logout">
                <i class="fa fa-github"></i>
                Sign out
              </a>
              <%= if assigns[:current_user] do %>
                <%= link "Logout", to: Routes.session_path(@conn, :logout) %>
                username : <%= assigns.current_user.username %>
                <br/>
                id : <%= assigns.current_user.id %>
              <% else %>
                <%= link "Login", to: Routes.session_path(@conn, :login) %>
                not connected
              <% end %>
            </li>
          </ul>
        </nav>
        <a href="http://phoenixframework.org/" class="phx-logo">
          <img src="<%= Routes.static_path(@conn, "/images/phoenix.png") %>" alt="Phoenix Framework Logo"/>
        </a>
      </section>
    </header>
    <main role="main" class="container">
      <p class="alert alert-info" role="alert"><%= get_flash(@conn, :info) %></p>
      <p class="alert alert-danger" role="alert"><%= get_flash(@conn, :error) %></p>
      <%= render @view_module, @view_template, assigns %>
    </main>
    <script type="text/javascript" src="<%= Routes.static_path(@conn, "/js/app.js") %>"></script>
  </body>
</html>
